package com.nokia.dingtalk_auto.config;

import javax.annotation.Resource;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.client.RestTemplate;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.nokia.common.dingtalk.DingtalkUtil;

/**
 * 注入钉钉机器人API
 */
@Configuration
public class DingTalkUtilConfig {

    @Resource
    private RestTemplate restTemplate;
    @Resource
    private RedisTemplate<String, Object> redisTemplate;
    @Resource
    private ObjectMapper objectMapper;

    @Value("${dingtalk.default.appkey}")
    private String appKey;
    @Value("${dingtalk.default.appSecret}")
    private String appSecret;

    @Primary
    @Bean("defaultDingtalkUtil")
    public DingtalkUtil defaultDingtalkUtil() {
        return new DingtalkUtil()
                .setAppKey(appKey)
                .setAppSecret(appSecret)
                .setObjectMapper(objectMapper)
                .setRestTemplate(restTemplate)
                .setRedisTemplate(redisTemplate);
    }
}
