package com.nokia.dingtalk_auto.config;

import javax.annotation.Resource;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.web.client.RestTemplate;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.nokia.common.dingtalk.DingtalkUtil;

/**
 * 网络大脑机器人
 */
@Configuration
public class NetBrainDingTalkUtilConfig {
    @Resource
    private RestTemplate restTemplate;
    @Resource
    private RedisTemplate<String, Object> redisTemplate;
    @Resource
    private ObjectMapper objectMapper;

    @Value("${netbrain.dingtalk.appkey}")
    private String appKey;
    @Value("${netbrain.dingtalk.appSecret}")
    private String appSecret;

    @Bean("netbrainDingtalkUtil")
    public DingtalkUtil netbrainDingtalkUtil() {
        return new DingtalkUtil()
                .setAppKey(appKey)
                .setAppSecret(appSecret)
                .setObjectMapper(objectMapper)
                .setRestTemplate(restTemplate)
                .setRedisTemplate(redisTemplate);
    }
}
