package com.nokia.dingtalk_auto.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.nokia.common.http.R;
import com.nokia.dingtalk_auto.service.ZeroTrafficTaskService;

/**
 * 零流量低流量明细
 */
@RequestMapping("/dingtalk-auto/task/zerotraffic")
@RestController
public class ZeroTrafficTaskController {

    @Autowired
    private ZeroTrafficTaskService zeroTrafficTaskService;

    /**
     * 撤回消息
     * 
     * @param messageId
     * @return
     */
    @PostMapping("/recall")
    public R recallMessage(@RequestBody String messageId) {
        try {
            zeroTrafficTaskService.recallMessage(messageId);
            return R.ok().message("撤回成功");
        } catch (Exception e) {
            e.printStackTrace();
            return R.error().message(e.getMessage());
        }
    }

    /**
     * 手动发送消息
     * 
     * @param month
     * @return
     */
    @PostMapping("/send")
    public R sendManually(@RequestBody String month) {
        try {
            zeroTrafficTaskService.runTaskManually(month);
            return R.ok().message("发送成功");
        } catch (Exception e) {
            e.printStackTrace();
            return R.error().message(e.getMessage());
        }
    }
}
