package com.nokia.dingtalk_auto.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.nokia.common.dingtalk.DingtalkUtil;

@Service
public class MessageService {

    @Value("${netbrain.dingtalk.openConversationId}")
    private String openConversationId;

    @Autowired
    @Qualifier("defaultDingtalkUtil")
    private DingtalkUtil dingtalkUtil;

    public void message(String message) {
        dingtalkUtil.SendText(openConversationId, message);
    }

    public void error(String errorMessage) {
        dingtalkUtil.sendMarkdown(openConversationId,
                String.format("<font color=#FF0000>%s</font>", errorMessage), "ERROR");
    }
}
